Bug 863894 - RPM man page doesn't adequately or even at all describe rpmnew and rpmsave and the circumstances under which they are created
RPM man page doesn't adequately or even at all describe rpmnew and rpmsave an...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 21:12 EDT by Georgiy Treyvus
Modified: 2014-04-02 11:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-02 08:10:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Georgiy Treyvus 2012-10-07 21:12:18 EDT
Description of problem:

Though one would have to be quite dense to not guess approximately what .rpmnew and .rpmsave files are and the circumstances under which they are created by package management operations sometimes one is interested in the more exact details of this process to be sure their guess was right.

I was cleaning up my system earlier today and I wanted more information. I look in the rpm man page where information about this or at least a pointer thereto should be and found nothing of the sort. Not even a basic explanation of what .rpmnew and .rpmsave files are and how they're generated by package management operations. At the very least that should be in the man page but it wasn't.

I looked in other places on my system such as /usr/share/doc as well but nothing enlightening.

I then hit the web and found what I needed but this was information from people who used common sense guesses and trial and error. Users of a technology especially one so important it's in the LSB should not have to guess about the technology's behaviour. They should be able to look it up in an obvious place and know.

More frustratingly yet this information is not even on rpm.org except in a very implicit indirect form scattered over random back corners. Please fix this documentation error.



Version-Release number of selected component (if applicable):
This is a problem with all versions of RPM
Comment 1 Fedora End Of Life 2013-04-03 12:57:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Florian Festi 2014-04-02 08:10:16 EDT
http://www.rpm.org/max-rpm/ch-rpm-upgrade.html describes the behaviour in question. Yes, Maximum RPM is outdated but it is still one of the best source available (beside the packaging guidelines)
Comment 3 Georgiy Treyvus 2014-04-02 11:43:56 EDT
Still the documentation should be in a more obvious place like the man page and also should be kept up to date. I hate to praise BSD but this is one thing they do right. Bottom line is a piece of software is much less useful, sometimes entirely useless if we don't know how to operate it. And we can't know how to operate it without proper documentation.

Note You need to log in before you can comment on or make changes to this bug.